summaryrefslogtreecommitdiff
path: root/libre/systemd/srcinfo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libre/systemd/srcinfo.sh')
-rwxr-xr-xlibre/systemd/srcinfo.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/libre/systemd/srcinfo.sh b/libre/systemd/srcinfo.sh
new file mode 100755
index 000000000..71689f2e7
--- /dev/null
+++ b/libre/systemd/srcinfo.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+# Run this after building the package.
+
+set -euE
+. "$(librelib conf)"
+load_conf chroot.conf CHROOTDIR CHROOT
+
+_existing_srcdir="${CHROOTDIR}/${CHROOT}/${LIBREUSER}/build/systemd/src" makepkg --printsrcinfo > .SRCINFO